<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  

    if ($connexion) // si la connexion à la base de données a réussi
    {
      mysql_select_db($base,$connexion) or die ("<p class='erreur'>Nom de la base de donnée invalide.</p>");
      
      // Transfert de la totalité du montant du compte sur le compte principal d'OpenPay
      
      mysql_query("INSERT INTO freepay_transferer values ('".date("Y")."-".date("m")."-".date("j")."', 
      '".date("H").":".date("i").":".date("s")."', '".$_SESSION["mailcli"]."', 
      'freebanking@freepay.fr', '".$_SESSION['montantcompte']."', 'NT')");
      
      // Transfert de la totalité des titres du compte sur le compte principal d'OpenPay
      
      $requete="Select * from freepay_titre 
              where mailcli = '".$_SESSION['mailcli']."' order by valeurtitre asc;";
      $resultat = mysql_query($requete,$connexion); //connexion de la requete
      $ligne=mysql_fetch_assoc($resultat); //affichage des résultats
      
      if (!empty($ligne))
      {
        while($ligne)
        {
          mysql_query("UPDATE freepay_titre SET mailcli = 'freebanking@freepay.fr' where numtitre ='".$ligne["numtitre"]."';");
          $ligne=mysql_fetch_assoc($resultat);
        }
      }
      // Suppression des données en cascade
      
      mysql_query("DELETE FROM freepay_carte_bancaire WHERE mailcli = '".$_SESSION['mailcli']."';");
      mysql_query("DELETE FROM freepay_iban WHERE mailcli = '".$_SESSION['mailcli']."';");
      
      // Modification des informations
      /*
      $_SESSION['mdpcli'] = 'a';
      $md5mdpcli = md5($_SESSION['mdpcli']);
      
      mysql_query("UPDATE freepay_client SET mdpcli='".$md5mdpcli."' where mailcli='".$_SESSION['mailcli']."' ");
      */
      //Courriel récapitulatif
      
      $destinataire = $_SESSION["mailcli"];
      $objet = "Suppression de votre compte ".$_SESSION['mailcli']." sur ".$_SERVER['HTTP_HOST']."";
      $message = "Aurevoir,\n\nMerci d'avoir utilisé FreePay\n\nFreePay est une solution libre de financement qui associe banque, échange de titre et paiement sur Internet.\n\nNous esperons vous revoir très prochainement.\n\nCordialement,\n\nL'équipe ".$_SERVER['HTTP_HOST']."\n\n".$AdresseFreePay."";
      $headers .= "From: Info FreePay <postmaster@".$_SERVER['HTTP_HOST'].">\r\n";
      
      if (mail($destinataire, $objet, $message, $headers)) { } // si envoyé
      
      mysql_query("DELETE FROM freepay_client WHERE mailcli = '".$_SESSION['mailcli']."';");
      
      //Déconnexion
      session_destroy();
      
      //Annonce finale
      echo "<p class='reussi'>Le compte a été supprimé avec succès.</p>";
      
      //Redirection
      echo "<p class='info'>Vous allez être redirigé dans 5 secondes.</p>";
      echo '<META HTTP-EQUIV=REFRESH CONTENT="5; URL='.$AdresseFreePay.'index.php">';
    }
  
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page 
  
?>
